import os

CONFIG_FILE = "user_config.txt"

def load_user_config():
    """Load user details and API key from file if available."""
    if os.path.exists(CONFIG_FILE):
        with open(CONFIG_FILE, "r") as file:
            lines = file.readlines()
            if len(lines) >= 5:
                return lines[0].strip(), lines[1].strip(), lines[2].strip(), lines[3].strip(), lines[4].strip()
    return None, None, None, None, None

def save_user_config(name, description, hotword, api_key, mode):
    """Save user details and API key to file."""
    with open(CONFIG_FILE, "w") as file:
        file.write(f"{name}\n{description}\n{hotword}\n{api_key}\n{mode}\n")
