import cv2
import google.generativeai as genai

def capture_image():
    """Capture an image from the webcam."""
    cam = cv2.VideoCapture(0)
    ret, frame = cam.read()
    if ret:
        image_path = "captured_image.jpg"
        cv2.imwrite(image_path, frame)
        cam.release()
        return image_path
    cam.release()
    return None

def upload_to_gemini(path, mime_type="image/jpeg"):
    """Upload an image to Gemini AI."""
    file = genai.upload_file(path, mime_type=mime_type)
    print(f"Uploaded file '{file.display_name}' as: {file.uri}")
    return file
